.hat-list-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.hat-card {
    width: 18rem;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}

.hat-card:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

.button-group {
    display: flex;
    gap: 10px;
    justify-content: center;
}

.btn {
    padding: 5px 10px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

.btn-delete {
    background-color: #ff4d4d;
    color: white;
}

.btn-update {
    background-color: #4CAF50;
    color: white;
}

.hat-list-container .hat-card .card-img-top {
    max-width: 100%;
    max-height: 200px;
    object-fit: cover;
    object-position: center;
    margin-bottom: 15px;
}

.navbar {
    background-color: red; /* Change navbar color to red */
    color: white; /* Light text inside navbar */
}

.nav-link {
    color: white;
}

.nav-link:hover {
    background-color: #555;
}


body {
    background-image: linear-gradient(to right, #f9d423, #ff4e50);
    margin: 0;
    color: black;
}


body.dark-mode {
    background-color: #333;
    color: white;
}

body.dark-mode .navbar {
    background-color: #444;
}

body.dark-mode .shoe-card {
    background-color: #555;
    color: white;
}

body.dark-mode .btn-delete {
    background-color: #bf4040;
}

body.dark-mode .btn-update {
    background-color: #397339;
}

body:not(.dark-mode) {

    background-image: linear-gradient(to right, #f9d423, #ff4e50);
}